Status
Get status of current dealer.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
application/json
versionstringOptional
The version information of PortSIP PBX.
max_dealersinteger · int32Optional
The maximum number of sub-dealers.
current_dealersinteger · int32Optional
The number of current sub-dealers.
max_usersinteger · int32Optional
The maximum number of authorized users purchased by the dealer from distributor.
current_usersinteger · int32Optional
The number of current users of the dealer.
max_tenantsinteger · int32Optional
The maximum number of tenants the current dealer is allowed to create.
current_tenantsinteger · int32Optional
The number of current tenants of the dealer.
4XX
Error
get/dealer/status
GET /api/dealer/status HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"version": "text",
"max_dealers": 1,
"current_dealers": 1,
"max_users": 1,
"current_users": 1,
"max_tenants": 1,
"current_tenants": 1
}Was this helpful?